(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8290,        178]
NotebookOptionsPosition[      8047,        165]
NotebookOutlinePosition[      8390,        180]
CellTagsIndexPosition[      8347,        177]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Vykresl\[IAcute]", " ", "do", " ", "obr\[AAcute]zk\[URing]", " ", 
    "nalezen\[EAcute]", " ", "odpov\[IAcute]daj\[IAcute]c\[IAcute]", " ", 
    "body"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"drawPoints", "[", 
     RowBox[{"image_", ",", " ", "points_"}], "]"}], " ", ":=", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"img", "  ", "=", " ", 
       RowBox[{"Import", "[", 
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", "image"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"pnts", "=", 
       RowBox[{"Import", "[", 
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", "points"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Points", " ", "=", " ", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.004", "]"}], ",", " ", "Green", ",", 
          " ", 
          RowBox[{"Point", "[", "pnts", "]"}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"lst", " ", "=", " ", 
       RowBox[{"{", 
        RowBox[{"Orange", ",", " ", 
         RowBox[{"FontSize", "\[Rule]", "18"}], ",", " ", 
         RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", " ", 
        RowBox[{"i", "<", 
         RowBox[{
          RowBox[{"Length", "[", "pnts", "]"}], "+", "1"}]}], ",", " ", 
        RowBox[{"i", "++"}], ",", " ", 
        RowBox[{
         RowBox[{"p", "=", 
          RowBox[{"pnts", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", 
         RowBox[{"lst", " ", "=", " ", 
          RowBox[{"Append", "[", 
           RowBox[{"lst", ",", " ", 
            RowBox[{"Text", "[", 
             RowBox[{"i", ",", 
              RowBox[{"p", "-", "10"}]}], "]"}]}], "]"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Labels", " ", "=", " ", 
       RowBox[{"Graphics", "[", "lst", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Show", "[", 
       RowBox[{"img", ",", " ", "Labels", ",", " ", "Points"}], "]"}]}], 
     "\[IndentingNewLine]", ")"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "directory", " ", "=", " ", "\"\<Litom\[EHacek]\[RHacek]ice/\>\""}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Aktu\[AAcute]ln\[IAcute]", " ", "adres\[AAcute]\[RHacek]", " ", "s", 
      " ", "daty"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"img1", " ", "=", " ", 
     RowBox[{"drawPoints", "[", 
      RowBox[{
       RowBox[{"directory", "  ", "<>", " ", "\"\<img1.jpg\>\""}], ",", " ", 
       RowBox[{"directory", "  ", "<>", " ", "\"\<points1.csv\>\""}]}], 
      "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"img2", " ", "=", " ", 
    RowBox[{"drawPoints", "[", 
     RowBox[{
      RowBox[{"directory", "  ", "<>", " ", "\"\<img2.jpg\>\""}], ",", " ", 
      RowBox[{"directory", "  ", "<>", " ", "\"\<points2.csv\>\""}]}], 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", "directory", "  ", "<>", 
      " ", "\"\<pimg1.png\>\""}], ",", " ", "img1"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", "directory", "  ", "<>", 
      " ", "\"\<pimg2.png\>\""}], ",", " ", "img2"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.538889569012848*^9, 3.5388895944133005`*^9}, {
   3.5388897846351805`*^9, 3.538889795129781*^9}, {3.5388899091323013`*^9, 
   3.538889926731308*^9}, {3.5388901271657724`*^9, 3.538890130640971*^9}, {
   3.538890247084631*^9, 3.538890252451938*^9}, {3.538890310774274*^9, 
   3.5388903724147997`*^9}, {3.538890519159193*^9, 3.538890519224197*^9}, 
   3.538896927397723*^9, {3.5388973208882294`*^9, 3.538897331867858*^9}, {
   3.5388973692319946`*^9, 3.53889737160013*^9}, {3.538897780071493*^9, 
   3.538897815136499*^9}, {3.538897920319515*^9, 3.5388979491331635`*^9}, {
   3.538898020096222*^9, 3.538898045971702*^9}, {3.538898330849996*^9, 
   3.538898363577868*^9}, {3.538898411257595*^9, 3.5388984288326006`*^9}, {
   3.538900018651533*^9, 3.538900019047556*^9}, {3.5389000692634277`*^9, 
   3.5389001202483435`*^9}, {3.538900301380704*^9, 3.5389003702716446`*^9}, {
   3.538900421140554*^9, 3.5389004865042925`*^9}, {3.538900524767481*^9, 
   3.538900525261509*^9}, {3.538900611487441*^9, 3.538900638589991*^9}, {
   3.53890072930718*^9, 3.538900845633834*^9}, {3.5389008957577004`*^9, 
   3.5389009446814985`*^9}, {3.53890101359344*^9, 3.5389011307981443`*^9}, {
   3.5389011986990275`*^9, 3.538901207573535*^9}, {3.53890124314657*^9, 
   3.538901271456189*^9}, 3.5389014124872556`*^9, {3.5389014447010984`*^9, 
   3.538901461134038*^9}, {3.5389015910084667`*^9, 3.5389016367540827`*^9}, {
   3.5389020553870277`*^9, 3.5389021620471277`*^9}, {3.5389038210390167`*^9, 
   3.5389038336567383`*^9}, {3.5389038735160184`*^9, 3.538903897514391*^9}, {
   3.538904041171608*^9, 3.538904072432396*^9}, {3.5389041027901325`*^9, 
   3.538904246830371*^9}, {3.5389046927388754`*^9, 3.5389047165352364`*^9}, {
   3.538904873108192*^9, 3.538904965828495*^9}, {3.538906076196005*^9, 
   3.5389061988840218`*^9}, {3.538906260233531*^9, 3.538906273227274*^9}, {
   3.5389063185668674`*^9, 3.5389063535378675`*^9}, {3.538906418127562*^9, 
   3.538906568017135*^9}, {3.5389066227822676`*^9, 3.5389066229792786`*^9}, {
   3.538906816763363*^9, 3.538906859052781*^9}, {3.538907009874408*^9, 
   3.5389070099724135`*^9}, {3.5389071724627075`*^9, 3.538907187386561*^9}, {
   3.5389072716443806`*^9, 3.5389073204461718`*^9}, {3.538907860507061*^9, 
   3.5389078651373262`*^9}, {3.538907900223333*^9, 3.5389079176493297`*^9}, {
   3.5389093157692976`*^9, 3.538909412183812*^9}, {3.5389094554982896`*^9, 
   3.5389094836569004`*^9}, {3.538909541294197*^9, 3.5389096089130645`*^9}, {
   3.538909654886694*^9, 3.5389096868935246`*^9}, {3.5389098329278774`*^9, 
   3.5389098568432455`*^9}, {3.538909947945456*^9, 3.5389100723875737`*^9}, {
   3.5389101239575233`*^9, 3.5389101459377804`*^9}, {3.5389102137006564`*^9, 
   3.5389102696178546`*^9}, {3.5389103309653635`*^9, 
   3.5389103403358994`*^9}, {3.5389104002703276`*^9, 3.538910507358453*^9}, {
   3.538911121560583*^9, 3.538911161358859*^9}, {3.538911312791521*^9, 
   3.5389113139235854`*^9}, {3.53891195302514*^9, 3.5389119535101676`*^9}, {
   3.5389122891733665`*^9, 3.538912446432361*^9}, {3.538912537777586*^9, 
   3.5389125650641465`*^9}, {3.538912595087864*^9, 3.538912630525891*^9}, {
   3.5389126769605465`*^9, 3.538912685968062*^9}, {3.538912735947921*^9, 
   3.5389127737870846`*^9}, {3.5389138575500727`*^9, 
   3.5389138803683777`*^9}, {3.538918515239477*^9, 3.538918515716504*^9}, {
   3.5392816175048103`*^9, 3.5392816213720317`*^9}, {3.5393219064232187`*^9, 
   3.5393219442883844`*^9}, {3.5393271331185927`*^9, 3.539327160956185*^9}, {
   3.5393271981413116`*^9, 3.53932728623135*^9}, {3.539327406600235*^9, 
   3.5393274104004526`*^9}, {3.53932748169453*^9, 3.539327499316538*^9}, {
   3.5396134553332977`*^9, 3.539613456013299*^9}, {3.5396226549394445`*^9, 
   3.5396227083615*^9}, 3.5396228083952217`*^9, {3.53977530339394*^9, 
   3.5397753177487607`*^9}}]
},
WindowSize->{1264, 899},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 7486, 143, 372, "Input"]
}
]
*)

(* End of internal cache information *)
