(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4993,        135]
NotebookOptionsPosition[      4746,        122]
NotebookOutlinePosition[      5093,        137]
CellTagsIndexPosition[      5050,        134]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Vyhled\[AAcute]", " ", "odpov\[IAcute]daj\[IAcute]c\[IAcute]", " ", 
    "body", " ", "dvou", " ", "obr\[AAcute]zk\[URing]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Siln\[EHacek]", " ", "doporu\[CHacek]ena", " ", "zrakov\[AAcute]", " ", 
    "kontrola", " ", "nalezen\[YAcute]ch", " ", 
    RowBox[{"bod\[URing]", "!"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"MaxP", " ", "=", " ", "16"}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Maxim\[AAcute]ln\[IAcute]", " ", "po\[CHacek]et", " ", 
     "vybran\[YAcute]ch", " ", "bod\[URing]"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "directory", " ", "=", " ", "\"\<Litom\[EHacek]\[RHacek]ice/\>\""}], ";", 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Aktu\[AAcute]ln\[IAcute]", " ", "adres\[AAcute]\[RHacek]", " ", "s", 
      " ", "daty"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"IM1", "  ", "=", " ", 
     RowBox[{"Import", "[", 
      RowBox[{
       RowBox[{"NotebookDirectory", "[", "]"}], "<>", "directory", "  ", "<>",
        " ", "\"\<img1.jpg\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IM2", "  ", "=", " ", 
     RowBox[{"Import", "[", 
      RowBox[{
       RowBox[{"NotebookDirectory", "[", "]"}], "<>", "directory", "  ", "<>",
        " ", "\"\<img2.jpg\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"corr", " ", "=", " ", 
     RowBox[{"ImageCorrespondingPoints", "[", 
      RowBox[{"IM1", ",", " ", "IM2"}], "]"}]}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Rovnom\[EHacek]rn\[YAcute]", " ", "v\[YAcute]b\[EHacek]r", " ", 
     "maxim\[AAcute]ln\[EHacek]", " ", "MaxP", " ", "bod\[URing]"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", " ", "=", " ", 
     RowBox[{"Length", "[", 
      RowBox[{"corr", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dx", " ", "=", " ", 
     RowBox[{"Max", "[", 
      RowBox[{"1", ",", " ", 
       RowBox[{"Round", "[", 
        RowBox[{"n", "/", "MaxP"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ran", " ", "=", " ", 
     RowBox[{"Range", "[", 
      RowBox[{"1", ",", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{"MaxP", "*", "dx"}], ",", " ", "n"}], "]"}], ",", " ", 
       "dx"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", "directory", "  ", "<>", 
      " ", "\"\<points1.csv\>\""}], ",", 
     RowBox[{"corr", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "ran"}], "]"}], "]"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", "directory", "  ", "<>", 
      " ", "\"\<points2.csv\>\""}], ",", 
     RowBox[{"corr", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "ran"}], "]"}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5392595433655257`*^9, 3.5392595553912134`*^9}, {
  3.5393219605153127`*^9, 3.5393220591349535`*^9}, {3.5393266921553707`*^9, 
  3.5393267224591045`*^9}, {3.53932676801071*^9, 3.539326782841558*^9}, {
  3.5393269035374613`*^9, 3.5393269477889924`*^9}, {3.539327042399404*^9, 
  3.539327100525728*^9}, {3.5396146212429433`*^9, 3.5396146307614875`*^9}, {
  3.539616215057104*^9, 3.5396162161121645`*^9}, {3.5396162998659554`*^9, 
  3.5396163027221184`*^9}, {3.539616588535466*^9, 3.5396166016612167`*^9}, {
  3.539616646423777*^9, 3.539616647751853*^9}, {3.5396170012420716`*^9, 
  3.5396170041592383`*^9}, {3.539621253683297*^9, 3.539621593328724*^9}, {
  3.539621950330143*^9, 3.539621951203193*^9}, {3.5396220764173546`*^9, 
  3.539622080195571*^9}, {3.539622761498539*^9, 3.5396228002677565`*^9}, {
  3.5397750582129164`*^9, 3.53977507698699*^9}, {3.5661144184550295`*^9, 
  3.566114442432272*^9}}]
},
WindowSize->{1264, 762},
WindowMargins->{{-8, Automatic}, {Automatic, -24}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4185, 100, 352, "Input"]
}
]
*)

(* End of internal cache information *)
